# Bank account object

A bank account is the object in the Column data model that has the ability to hold, send, and receive funds. Bank accounts are children of entities. An entity can have multiple bank accounts. Bank accounts can have one or multiple account numbers. Read about [bank accounts in our data model](/data-models/account) for more information.

### Object Parameters

- `balances` `object` — Lists all possible balance amounts for an account represented in the smallest unit of the currency.
  - `available_amount` `number` — The amount available for immediate use, in the smallest unit of the currency (e.g., cents for `USD`).
  - `holding_amount` `number` — The amount on hold and not available for use, in the smallest unit of the currency (e.g., cents for `USD`).
  - `locked_amount` `number` — The amount locked due to overdraft coverage, in the smallest unit of the currency (e.g., cents for `USD`).
  - `pending_amount` `number` — The amount of pending transactions that have not yet settled, in the smallest unit of the currency (e.g., cents for `USD`).
- `bic` `string` — The SWIFT BIC code for this bank account for international wire payments.
- `created_at` `date-time` — The timestamp at which the bank account was created.
- `currency_code` `string` — Currency of the balances in the account. For all amounts this will be `USD`.
- `default_account_number` `string` — The externally facing default account number tied to this bank account.
- `default_account_number_id` `string` — The default account number ID tied to this account.
- `description` `string` — A name for the bank account (minimum: 3 characters)
- `display_name` `string` — The display name for the bank account. Display name is an account nickname used on Column's Dashboard.
- `fdic_insurance` `string` — The type of FDIC insurance offered on this account. The default value is `standard`.
- `id` `string` — Unique ID for this account.
- `interest_config_id` `string` — The ID of interest config for this account. If it is not set, the default interest config of your platform will be used for this account. Please contact our support team for more details.
- `is_interest_bearing` `boolean` — Whether your platform needs to accrue and pay interest to this account. Please contact our support team for more details.
- `is_overdraftable` `boolean` — Whether the account can be overdrafted, must include an `overdraft_reserve_account_id`
- `overdraft_reserve_account_id` `string` — The overdraft reserve account that this account is linked to. If `is_overdraftable`: `true` then this field is required.
- `owners` `array of strings` — List of `entity_id`'s which are tied to this bank account
- `routing_number` `string` — The 9-digit ABA routing number for this bank account.
- `search_metadata` `object` — Search-specific metadata returned when a query is provided.
  - `highlights` `object` — Matched field fragments with highlighted terms
  - `score` `number` — OpenSearch relevance score
- `type` `string` — Bank Account type. Can be `CHECKING`, `OVERDRAFT_RESERVE`, `PROGRAM_RESERVE`, or `NETWORK_SETTLEMENT_ACCOUNT`.

**Response 200**

```json
{
  "balances": {
    "available_amount": 5100,
    "holding_amount": 0,
    "locked_amount": 0,
    "pending_amount": 0
  },
  "bic": "CLNOUS66",
  "created_at": "2021-10-14T17:50:21Z",
  "currency_code": "USD",
  "default_account_number": "123456789012345",
  "default_account_number_id": "acno_2YHAWG9FTCxtL5emK1oVKCOx7fk",
  "description": "John Doe",
  "id": "bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC",
  "is_overdraftable": false,
  "overdraft_reserve_account_id": "",
  "owners": [
    "enti_2YHAYW65t2fEna7uxll10OHzoty"
  ],
  "routing_number": "121145307",
  "type": "CHECKING",
  "status": "open"
}
```
